xapian-core 1.4.26

Classes | Namespaces | Functions
eset.h File Reference

Class representing a list of query expansion terms. More...

## Classes
class | Xapian::ESet
| Class representing a list of search results. More...
class | Xapian::ESetIterator
| Iterator over a Xapian::ESet. More...

## Namespaces
namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Functions
bool | Xapian::operator== (const ESetIterator &a, const ESetIterator &b)
| Equality test for ESetIterator objects.
bool | Xapian::operator!= (const ESetIterator &a, const ESetIterator &b)
| Inequality test for ESetIterator objects.
bool | Xapian::operator< (const ESetIterator &a, const ESetIterator &b)
| Inequality test for ESetIterator objects.
bool | Xapian::operator> (const ESetIterator &a, const ESetIterator &b)
| Inequality test for ESetIterator objects.
bool | Xapian::operator>= (const ESetIterator &a, const ESetIterator &b)
| Inequality test for ESetIterator objects.
bool | Xapian::operator<= (const ESetIterator &a, const ESetIterator &b)
| Inequality test for ESetIterator objects.
ESetIterator | Xapian::operator+ (ESetIterator::difference_type n, const ESetIterator &it)
| Return ESetIterator it incremented by n positions.

## Detailed Description

Class representing a list of query expansion terms.